extends Node3D

var target : CharacterBody3D

var zoom = 10

func _ready():
	pass

func _physics_process(delta):
	if (target):
		self.position = self.position.lerp(target.position, delta * 4)

		self.position = self.position.lerp(Vector3(0, 0, zoom), 8 * delta)
